<?php

require '../system/start.php';
require '../system/functions.php';
reg();
$str['mesto'] = 'Кости';
$str['block'] = $set['site'].' / Развлечения / Кости';
include '../style/'.$style.'/head.php';
if ($user['balls'] < 10)
{
	echo '<div class="on">У вас недостаточно монет для игры в кости!</div>
	<div class="on">
	<img class="ico" src="../style/'.$style.'/ico/fun.gif" alt="" /> <a href="index.php">Назад</a><br/>
	</div>';
}
else
{
switch($act)
{
default:
echo '<div class="on">';
if (isset($_GET['isset'])=='gains')
{
	echo 'Вы угадали! Вам начисленно 65 монет!<br />';
}
if (isset($_GET['isset'])=='lost')
{
	echo 'Вы не угадали! У вас сняли 15 монет!<br />';
}
echo '<img src="img/kosti/6.gif" alt=""> И <img src="img/kosti/6.gif" alt=""> <br /><br />
&#8594; <a href="?act=game">Играть</a></div>
<div class="on">
<img class="ico" src="../style/'.$style.'/ico/fun.gif" alt="" /> <a href="index.php">Назад</a><br/>
</div>';
break;
case 'game':
$a = mt_rand(2,6);
$b = mt_rand(1,6);
$c = mt_rand(1,6);
$d = mt_rand(1,5);
$aa = $a + $b ;
$cc = $c + $d;
echo '<div class="forum1">';
if ($aa > $cc)
{
	mysql_query("UPDATE `users` SET `balls`=balls-2 WHERE `id` = ".$user['id']."");
	echo 'У банкира выпало:<br />
	<img src="img/kosti/'.$a.'.gif" alt=""> И <img src="img/kosti/'.$b.'.gif" alt=""> <br /><br />
	У вас выпало:<br>
	<img src="img/kosti/'.$c.'.gif" alt=""> И <img src="img/kosti/'.$d.'.gif" alt=""> <br /><br />
	Вы програли!<br /><br />
	&#8594; <a href="?act=game">Играть</a><br />';
          
}
elseif ($aa < $cc){
	mysql_query("UPDATE `users` SET `balls`=`balls`+3 WHERE `id` = ".$user['id']."");
	echo 'У банкира выпало:<br />
	<img src="img/kosti/'.$a.'.gif" alt=""> И <img src="img/kosti/'.$b.'.gif" alt=""><br /><br />
	У вас выпало:<br />
	<img src="img/kosti/'.$c.'.gif" alt=""> И <img src="img/kosti/'.$d.'.gif" alt=""><br /><br />
	Вы выиграли!<br /><br />
	&#8594; <a href="?act=game">Играть</a><br />';
}
elseif ($aa = $cc)
{
echo 'У банкира выпало:<br />
<img src="img/kosti/'.$a.'.gif" alt=""> И <img src="img/kosti/'.$b.'.gif" alt=""> <br /><br />
У вас выпало:<br />
<img src="img/kosti/'.$c.'.gif" alt=""> И <img src="img/kosti/'.$d.'.gif" alt=""> <br /><br />
Ничья!<br /><br />
&#8594; <a href="?act=game">Играть</a><br />';
}
echo '
</div>
<div class="mess">
У вас в наличии: '.$user['balls'].' монет</div>
<div class="on">
<img class="ico" src="../style/'.$style.'/ico/fun.gif" alt="" /> <a href="index.php">Назад</a><br/>
</div>';
break;
}
}
include '../style/'.$style.'/foot.php';
?>